<div xmlns="http://www.w3.org/1999/xhtml" lang="en"
	 xmlns:f="http://typo3.org/ns/fluid/ViewHelpers"
	 xmlns:shop="http://typo3.org/ns/CodingMs/Shop/ViewHelpers">
	<f:layout name="Default" />
	<f:section name="Main">

		<div class="{settings.detail.css.class.wrapperOuter}{f:format.case(mode: 'lower', value: settings.displayType)}">

			<f:if condition="{settings.headline}">
				<h1 class="{settings.list.css.class.headline}">{settings.headline}</h1>
			</f:if>

			<f:comment>Use {productsCount} for displaying the total amount of products in a lazy load view!</f:comment>

			<f:flashMessages />

			<div class="{settings.filter.css.class.formWrapper}">
				<f:form id="product-searchform" class="{settings.filter.css.class.form}">
					<f:comment><!--
						Set parameter in order to identify new search requests!
						This is required for identifing tag-multiple/checkbox filter, when no checkbox is chosen!
					 --></f:comment>
					<f:form.hidden name="submit" value="search" />
					<f:render partial="Product/List/Filter" section="Default" arguments="{_all}" />
					<f:render partial="Product/List/Sorting" section="Default" arguments="{_all}" />
				</f:form>
			</div>
			<div id="product-list" class="{settings.list.css.class.wrapper}" data-params="{endlessScrolling.params}" data-endless-scrolling="{endlessScrolling.enabled}">
				<f:if condition="{f:count(subject: products)}">
					<f:then>
						<f:if condition="{settings.list.layout} == 'isotope'">
							<f:then>
								<shop:variable.set name="isotopeConfiguration">{"itemSelector": ".product-item", "layoutMode": "fitRows"}</shop:variable.set>
								<shop:variable.set name="isotope">data-isotope='{isotopeConfiguration}'</shop:variable.set>
								<div class="{f:format.case(mode: 'lower', value: settings.list.layout)}" {isotope->f:format.raw()} data-endless-scroll-wrapper>

									<f:variable name="additionalCssClasses" value="" />
									<f:if condition="{product.highlight}">
										<f:variable name="additionalCssClasses" value="{settings.list.css.class.itemHighlight} {additionalCssClasses}" />
									</f:if>
									<f:if condition="{product.inStock}">
										<f:variable name="additionalCssClasses" value="{settings.list.css.class.itemInStock} {additionalCssClasses}" />
									</f:if>
									<f:if condition="{product.firstInList}">
										<f:variable name="additionalCssClasses" value="{settings.list.css.class.itemFirstInList} {additionalCssClasses}" />
									</f:if>
									<f:if condition="{product.digitalProduct}">
										<f:variable name="additionalCssClasses" value="{settings.list.css.class.itemDigitalProduct} {additionalCssClasses}" />
									</f:if>
									<f:if condition="{product.offer}">
										<f:variable name="additionalCssClasses" value="{settings.list.css.class.itemOffer} {additionalCssClasses}" />
									</f:if>
									<f:if condition="{product.bulky}">
										<f:variable name="additionalCssClasses" value="{settings.list.css.class.itemBulky} {additionalCssClasses}" />
									</f:if>

									<f:for each="{products}" as="product" iteration="itemIteration">
										<div class="{settings.list.css.class.itemIsotope} {product.cssClasses} {additionalCssClasses}"
											 data-isotope-sortby-title="{product.title}"
											 data-isotope-sortby-product-no="{product.productNo}"
											 data-isotope-sortby-sorting="{product.sorting}">
											<f:render partial="Product/List/Item/{settings.displayType}" section="Default"
													  arguments="{product: product, settings: settings, session: session}" />
										</div>
									</f:for>
									<f:render partial="Product/List/Spinner"/>
								</div>
							</f:then>
							<f:else>
								<div class="{settings.list.css.class.wrapperInner} {f:format.case(mode: 'lower', value: settings.list.layout)}" data-endless-scroll-wrapper>
									<f:for each="{products}" as="product" iteration="itemIteration">

										<f:variable name="additionalCssClasses" value="" />
										<f:if condition="{product.highlight}">
											<f:variable name="additionalCssClasses" value="{settings.list.css.class.itemHighlight} {additionalCssClasses}" />
										</f:if>
										<f:if condition="{product.inStock}">
											<f:variable name="additionalCssClasses" value="{settings.list.css.class.itemInStock} {additionalCssClasses}" />
										</f:if>
										<f:if condition="{product.firstInList}">
											<f:variable name="additionalCssClasses" value="{settings.list.css.class.itemFirstInList} {additionalCssClasses}" />
										</f:if>
										<f:if condition="{product.digitalProduct}">
											<f:variable name="additionalCssClasses" value="{settings.list.css.class.itemDigitalProduct} {additionalCssClasses}" />
										</f:if>
										<f:if condition="{product.offer}">
											<f:variable name="additionalCssClasses" value="{settings.list.css.class.itemOffer} {additionalCssClasses}" />
										</f:if>
										<f:if condition="{product.bulky}">
											<f:variable name="additionalCssClasses" value="{settings.list.css.class.itemBulky} {additionalCssClasses}" />
										</f:if>

										<div class="{settings.list.css.class.col}">
											<div class="{settings.list.css.class.item} {product.cssClasses} {additionalCssClasses}">
												<f:render partial="Product/List/Item/{settings.displayType}" section="Default"
														  arguments="{product: product, settings: settings, session: session}" />
											</div>
										</div>
									</f:for>
									<f:render partial="Product/List/Spinner"/>
								</div>
							</f:else>
						</f:if>
					</f:then>
					<f:else>
						<div class="{settings.alerts.css.class.warning}"><f:translate key="tx_shop_message.no_products_available" /></div>
					</f:else>
				</f:if>
			</div>

		</div>

	</f:section>

</div>
